--/Example 03

--/ Example of most basic retrieval of data from a table
--/ here we are saying 'Fetch all columns (fields) from database table called products in the currently selected database'

SELECT * FROM products

--/ this actually retrieves data in the column order and primary key order in which the data is stored

--/ Knowledge of the underlying database columns allows us to be more specific in data retrieval
--/ We define the column names of the data to retrieve seperating them with a comma

SELECT ProductID, ProductName FROM products

--/ Note that you can combine this with the '*' to enable you as a developer to see all the data but perhaps in a more
--relevant order

SELECT Discontinued, * FROM products

--/ Note in Query Analyser you can drag and drop tables and fields from the Object Browser window into this pane

SELECT CategoryID, CategoryName, Description, Picture FROM dbo.Categories